/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<H235.h>	2005-03-06,13:59

*/
#ifndef __2005_03_06__13_59__H235_H__
#define __2005_03_06__13_59__H235_H__


#include "H323Define.h"
#include "handship.h"




#ifdef HS_CPLUSPLUS
class ASNH235TimeStamp: public AsnInteger
{
public:
	ASNH235TimeStamp() : AsnInteger(e_constrained,1,HS_UINT_MAX) {}
	~ASNH235TimeStamp(){}
};
#else/*HS_CPLUSPLUS*/

typedef struct
{
	AsnInteger	inheritance;
} ASNH235TimeStamp;
HS_RESULT new_ASNH235TimeStamp( void *pObject );
HS_RESULT delete_ASNH235TimeStamp( void *pObject );
HS_RESULT ASNH235TimeStamp_MakeMold( void *pObject );
#ifdef HS_DEBUG_ASN_PRINT
HS_RESULT ASNH235TimeStamp_Print( void *pObject, HS_UINT pDepth, char *pTypeName );
#endif
HS_RESULT ASNH235TimeStamp_Encode( void *pObject, AsnStream *pStrm );
HS_RESULT ASNH235TimeStamp_Decode( void *pObject, AsnStream *pStrm );
#endif/*HS_CPLUSPLUS*/

#endif/*__2005_03_06__13_59__H235_H__*/
