/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<CallClose.h>	2005-04-17,09:56

*/

#ifndef __2005_04_17__09_56__CALLCLOSE_H__
#define __2005_04_17__09_56__CALLCLOSE_H__



#include "H323Define.h"
#include "EpDefine.h"
#include "RasMessageMaker.h"



/* close H.245 channel,
   disengage admission,
   close Q.931 channel,
   CallbackRemoveCall,
   RMOVE_SOCKET_SET
*/
HS_RESULT CallClosing(
	StackInfo *pStack,
	IEndpoint *pEndpoint,
	NoLockList *pCalls,
	NoLockList *pWaits,
	ICall *pCall,
	CallCloseReason	pUserReason,
	ASNH225DisengageReasonChoice pDisReason,
	Q931CauseType pCause
);

HS_RESULT ReleaseControlChannel(StackInfo *pStack, IEndpoint *pEndpoint, ICall *pCall );
HS_RESULT ReleaseAdmission(StackInfo *pStack, IEndpoint *pEndpoint, ICall *pCall, NoLockList *pWaits, ASNH225DisengageReasonChoice pReason );
HS_RESULT ReleaseSignalChannel(StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pWaits, ICall *pCall, Q931CauseType pCause );



#endif/*__2005_04_17__09_56__CALLCLOSE_H__*/