/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<RasWaitSet.h>	2005-03-13,15:15

*/

#ifndef __2005_03_13__15_15__RASWAITSET_H__
#define __2005_03_13__15_15__RASWAITSET_H__


#include "H323Define.h"
#include "EpDefine.h"
#include "H323Utility.h"



typedef struct
{
	struct sockaddr_in	toAddr;
	HS_UCHAR			*raw;
	int					len;

	HS_USHORT		sequenceNumber;
	HS_UCHAR		retryCount;
	HS_CALL_HANDLE	handle;
} RasWaitSet;

HS_RESULT new_RasWaitSet( RasWaitSet *pObj, HS_CALL_HANDLE pHandle, HS_USHORT pSN, HS_UCHAR *pRaw, int pLen );
HS_RESULT delete_RasWaitSet( RasWaitSet *pObj );

ChainUnit *NoLockList_FindRasWaitSetBySequenceNumber( NoLockList *pObj, HS_USHORT pSN );
HS_RESULT NoLockList_DeleteRasWaitSetBySequenceNumber( NoLockList *pObj, HS_USHORT pSN );



#endif/*__2005_03_13__15_15__RASWAITSET_H__*/