/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<RtpMicin.h>	2006-01-10,21:06

*/

#ifndef __2006_01_10__21_06__RTPMICIN_H__
#define __2006_01_10__21_06__RTPMICIN_H__





#include "RtpDefine.h"
#include "RtpQmsg.h"





#define HS_MAX_MIC_BUFFER	10
#define HS_SOUND_SAMPLES	1000





WAVEHDR *CreateWaveHeader(HS_UINT pSize);
void DestroyWaveHeader(WAVEHDR *pObj);





typedef struct
{
	HWAVEIN			mHandle;
	WAVEFORMATEX	mFormat;
	HS_QID			mMyQ;
	HS_QID			mIntoQ;

	BOOL			mStopping;
	BOOL			mDevOpened;

	HS_UINT			mWaveHeaderNumber;
} RtpMicin;

HS_RESULT new_RtpMicin(void *pObject,int mHertz);
RtpMicin *newm_RtpMicin(int mHertz);
HS_RESULT delete_RtpMicin(void *pObject);
HS_RESULT deletem_RtpMicin(void *pObject);

/* thread
*/
void RtpMicin_Demon(void *pObject);
unsigned __stdcall RtpMicin_Thread(void* pArg);

HS_QID RtpMicin_Start(void *pObject);
HS_RESULT RtpMicin_Stop(void *pObject);

HS_RESULT RtpMicin_Check(void *pObject);





#endif/*__2006_01_10__21_06__RTPMICIN_H__*/