/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<SipDemonHandler.h>		2005-10-31,24:40

*/

#ifndef __2005_10_31__24_40__SIPDEMONHANDLER_H__
#define __2005_10_31__24_40__SIPDEMONHANDLER_H__





#include "SipDefine.h"
#include "UaDefine.h"
#include "SipTimerHandler.h"





#define HS_DEBUG_SIPDEMON





HS_RESULT SipDemonEventAddUa(IStack *pStack, IUa *pUa);
HS_RESULT SipDemonEventRegistUa(IStack *pStack, HS_UA_HANDLE pHandle);
HS_RESULT SipDemonEventRemoveUa(IStack *pStack, HS_UA_HANDLE pHandle);
HS_RESULT SipDemonEventMakeCall(IStack *pStack, QmMakeCall *pMakeCall);
HS_RESULT SipDemonEventAcceptCall(IStack *pStack, HS_CALL_HANDLE pHandle);
/* not implement yet.
HS_RESULT SipDemonEventRemodelCall();
*/
HS_RESULT SipDemonEventRemoveCall(IStack *pStack, SipResponse pReason, HS_CALL_HANDLE pHandle);
HS_RESULT SipDemonEventSendMessageINFO(IStack *pStack,QmMessageBody* pMBody);
HS_RESULT SipDemonEventSendMessageMESSAGE(IStack *pStack,QmMessageBody* pMBody);
HS_RESULT SipDemonEventEnetMessage(IStack *pStack, QmEnetMessage *pMessage);
HS_RESULT SipDemonEventChangeListenPort(IStack *pStack, HS_USHORT pPort, HS_UINT pType);
HS_RESULT SipDemonEventRemoveSocketSet(IStack *pStack, HS_TR_HANDLE pHandle);
HS_RESULT SipDemonEventTimer(IStack *pStack, HSTimerEvent *pEvent);





#endif/*__2005_10_31__24_40__SIPDEMONHANDLER_H__*/