/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<SocketSet.h>	2005-03-13,13:59

*/

#ifndef __2005_03_13__13_59__SIPSOCKETSET_H__
#define __2005_03_13__13_59__SIPSOCKETSET_H__


#include "SipDefine.h"
#include "UaDefine.h"
#include "SipQmessage.h"



typedef struct
{
	SOCKET			mSocket;
	HS_TR_HANDLE	mHandle;
	/* message ready to send until TCP connection
	*/
	QmEnetMessage	*mReady;
} SipSocketSet;

HS_RESULT new_SipSocketSet(void *pObject, HS_TR_HANDLE pHandle);
HS_RESULT delete_SipSocketSet(void *pObject);

HS_RESULT SipSocketSet_FdSet(void *pObject, fd_set *pSet, HS_UINT *pMax );
HS_RESULT SipSocketSet_FdIsSet(void *pObject, fd_set *pSet, HS_QID pDestQ, HS_UCHAR *pBuffer, int pLen);



#define SipSocketList		NoLockList

ChainUnit *NoLockList_FindSipSocketSetByHandle(NoLockList *pObj, HS_TR_HANDLE pHandle);
HS_RESULT NoLockList_SipFdSet(NoLockList *pObj, fd_set *pSet, HS_UINT *pMax);
HS_RESULT NoLockList_SipFdIsSet(NoLockList *pObj, fd_set *pSet, HS_QID pSipDemonQ, HS_UCHAR *pBuffer, int pLen);



#endif/*__2005_03_13__13_59__SIPSOCKETSET_H__*/
