/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<SipUtility.h>		2005-10-18,22:06

*/

#ifndef __2005_10_18__22_06__SIPUTILITY_H__
#define __2005_10_18__22_06__SIPUTILITY_H__

#include "SipDefine.h"
#include "UaDefine.h"
#include "ITransaction.h"





HS_RESULT SipRecordRoutes2SipRoutes(NoLockList *pTo, NoLockList *pFrom);





/* copy functions
*/
HS_RESULT SipUri_Copy(SipUri *pTo, SipUri *pFrom);
HS_RESULT SipVias_Copy(NoLockList *pTo, NoLockList *pFrom);
HS_RESULT SipRoutes_Copy(NoLockList *pTo, NoLockList *pFrom);
HS_RESULT SipContacts_Copy(NoLockList *pTo, NoLockList *pFrom);
HS_RESULT SipAuthorization_Copy(SipAuthorization *pTo, SipAuthorization *pFrom);





/* clone functions
*/
typedef enum
{
	e_AuthType_Request,
	e_AuthType_Response,
	e_AuthType_ProxyRequest,
	e_AuthType_ProxyResponse
} AuthType;

SipAuthorization *SipAuthorization_Clone(SipAuthorization *pObj, AuthType pType);





/* etc
*/
HS_RESULT RegulatingCopiedVia(NoLockList *pVias);





#endif/*__2005_10_18__22_06__SIPUTILITY_H__*/