/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<AppH323Define.h>	2005-04-27,10:45

*/

#ifndef __2005_04_27__10_45__APPH323DEFINE_H__
#define __2005_04_27__10_45__APPH323DEFINE_H__



#ifdef __cplusplus
extern "C"{
#endif

#include "hsDefine.h"
#include "H323Define.h"
#include "H323UI.h"

#ifdef __cplusplus
};
#endif



#define HS_DEBUG_H323_APP
#undef  HS_DEBUG_H323_APP_MBODY

#define HS_AUDIO_SIMUL_GROUP	1
#define HS_VIDEO_SIMUL_GROUP	2
#define HS_DATA_SIMUL_GROUP		3


#define HS_INVALID_QUEUE_ID		0



IEndpoint *AppH323MakeEndpoint();
HS_QUEUE_ID AppStartH323Stack(HWND pHwnd, IEndpoint *pEndpoint, HS_UCHAR *pLocalIp);



#endif/*__2005_04_27__10_45__APPH323DEFINE_H__*/