/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<EnetDemon.h>	2005-03-20,11:31

*/

#ifndef __2005_03_20__11_31__ENETDEMON_H__
#define __2005_03_20__11_31__ENETDEMON_H__



#include "H323Define.h"
#include "EpDefine.h"
#include "EnetDemonHandler.h"





typedef struct
_thread_struct
(
	HS_USHORT mRasPort;
	HS_USHORT mQ931Port;
	StackInfo *mStack;

	SOCKET	mRasSocket;
	SOCKET	mCallSocket;
) EnetDemon;

EnetDemon *newm_EnetDemon(HS_USHORT pRasPort,HS_USHORT pQ931Port);
HS_RESULT deletem_EnetDemon(void *pObject);





HS_RESULT SendToRas( struct sockaddr_in *pTarget, HS_UCHAR *pRaw, int pLen );
HS_RESULT EnetDemon_Main(HS_TQ pQ,void *pObject,void *pArg);





#endif/*__2005_03_20__11_31__ENETDEMON_H__*/