/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/
/*

	<EnetDemonHandler.h>	2005-04-03,09:58

*/

#ifndef __2005_04_03__09_58__ENETDEMONHANDLER_H__
#define __2005_04_03__09_58__ENETDEMONHANDLER_H__

#include "H323Define.h"
#include "EpDefine.h"
#include "SocketSet.h"
#include "QMessage.h"





HS_RESULT EnetDemonEventTimer(long pParam);
HS_RESULT EnetDemonEventMakeSocketSet(long pParam, NoLockList *pSockList);
HS_RESULT EnetDemonEventConnected(long pParam, NoLockList *pSockList, HS_QID pDestQ);
HS_RESULT EnetDemonEventTryConnect(long pParam, HS_QID pDestQ);
HS_RESULT EnetDemonEventTryListen(long pParam, NoLockList *pSockList);
HS_RESULT EnetDemonEventSendQ931Message(long pParam, NoLockList *pSockList);
HS_RESULT EnetDemonEventSendH245Message(long pParam, NoLockList *pSockList);
HS_RESULT EnetDemonEventQ931Close(long pParam, NoLockList *pSockList);
HS_RESULT EnetDemonEventH245Close(long pParam, NoLockList *pSockList);
HS_RESULT EnetDemonEventRemoveSocketSet(long pParam, NoLockList *pSockList);



#endif/*__2005_04_03__09_58__ENETDEMONHANDLER_H__*/