/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<TimerHandler.h>	2005-05-22,21:03

*/

#ifndef __2005_05_22__21_03__TIMERHANDLER_H__
#define __2005_05_22__21_03__TIMERHANDLER_H__



#include "H323Define.h"
#include "EpDefine.h"
#include "MessageHandler.h"



/* RAS response message timeout
*/
HS_RESULT RasTransactionTimerHandler(StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits, HSTimerEvent *pTimerEvent);
/* registration TTL expired or registration retry timer expired
*/
HS_RESULT RegisterTimerHandler(StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pWaits);
/* irrFrequency timer expired
*/
HS_RESULT IRRTimerHandler(StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits, HSTimerEvent *pTimerEvent);



#endif/*__2005_05_22__21_03__TIMERHANDLER_H__*/