/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<RtpUI.h>		2006-01-16,21:00

*/

#ifndef __2006_01_16__21_00__RTPUI_H__
#define __2006_01_16__21_00__RTPUI_H__





#include "RtpDefine.h"
#include "RtpRcver.h"





HS_RTP_HANDLE OpenRtp();
HS_RESULT CloseRtp(HS_RTP_HANDLE pHandle);
HS_RESULT CheckRtp(HS_RTP_HANDLE pHandle);

HS_RESULT StartForwardRtp(HS_RTP_HANDLE pHandle,RtpPayloadType pCodec,char *pIp,HS_USHORT pPort,HS_UINT pFpp);
HS_RESULT StartForwardRtpEx(HS_RTP_HANDLE pHandle,RtpPayloadType pCodec,struct sockaddr_in pAddrIn,HS_UINT pFpp);
HS_RESULT StartReverseRtp(HS_RTP_HANDLE pHandle,RtpPayloadType pCodec,HS_USHORT pPort);
HS_RESULT StopForwardRtp(HS_RTP_HANDLE pHandle);
HS_RESULT StopReverseRtp(HS_RTP_HANDLE pHandle);

HS_RESULT HoldForwardRtp(HS_RTP_HANDLE pHandle);
HS_RESULT ResumeForwardRtp(HS_RTP_HANDLE pHandle);
HS_RESULT HoldReverseRtp(HS_RTP_HANDLE pHandle);
HS_RESULT ResumeReverseRtp(HS_RTP_HANDLE pHandle);

HS_RESULT RtpCommandAddDtmfInband(HS_RTP_HANDLE pHandle,char pSignal,HS_UINT pVolume);
HS_RESULT RtpCommandAddDtmfRfc2833(HS_RTP_HANDLE pHandle,char pSignal);

/* Call-Progress-Tone/DTMF-Tone control
*/
typedef RtpSpeakerout* tone_handle;
tone_handle OpenToneHandle();
HS_RESULT CloseToneHandle(tone_handle pHandle);
HS_RESULT StartCptTone(tone_handle pHandle,DtmfSignal pSignal,HS_UINT pVolume);
HS_RESULT StopCptTone(tone_handle pHandle);





#endif/*__2006_01_16__21_00__RTPUI_H__*/