/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<UaDefine.c>	2005-11-10,21:47

*/

#include "UaDefine.h"

#include <winsock.h>





SOCKET gLogSocket = INVALID_SOCKET;
struct sockaddr_in gAddrIn;





void HSPrint(char *pLog, ...)
{
	int tLen;
	va_list varg;
	char buffer[2048];

	buffer[0] = 0x00;
	va_start(varg, pLog);
	vsprintf(buffer, pLog, varg);
	va_end(varg);

	if( gLogSocket==INVALID_SOCKET )
	{
		printf(buffer);
		return;
	}

	tLen = strlen(buffer);
	sendto(gLogSocket,buffer,strlen(buffer),0,(struct sockaddr*)(&gAddrIn),sizeof(gAddrIn));
}


void OpenHSPrint(char *pTargetIp)
{
	if( gLogSocket!=INVALID_SOCKET ) return;
	if( pTargetIp==NULL ) return;

	memset(&gAddrIn,0,sizeof(gAddrIn));
	gAddrIn.sin_family = AF_INET;
	gAddrIn.sin_addr.s_addr = inet_addr(pTargetIp);
	gAddrIn.sin_port = htons(5530);

	gLogSocket = socket(AF_INET,SOCK_DGRAM,IPPROTO_UDP);
}


void CloseHSPrint()
{
	SOCKET tTempSocket;

	if( gLogSocket==INVALID_SOCKET ) return;

	tTempSocket = gLogSocket;
	gLogSocket=INVALID_SOCKET;
	Sleep(100);
	closesocket(tTempSocket);
}