/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<AppMain.h>	2005-11-02,22:56

*/

#ifndef __2005_11_02__22_56__APPMAIN_H__
#define __2005_11_02__22_56__APPMAIN_H__





#define HS_DEBUG_APP





#ifdef __cplusplus
extern "C"{
#endif

#include "SipDefine.h"
#include "UaDefine.h"
#include "SipUI.h"

#include <mmsystem.h>

#include "RtpDefine.h"
#include "RtpUI.h"

#ifdef __cplusplus
};
#endif





#define IS_INCOMING_CALL(tHandle)		if((tHandle%2)==0)





HS_RESULT AppStartSipStack(
	HWND pHwnd,
	char *pLocalIp
);

HS_RESULT AppStopSipStack(
);

HS_RESULT AppDirectCall(
	char *pSourceIp,
	char *pDestIp,
	char *pSource,
	char *pDest,
	char *pPassword,
	HS_UA_HANDLE *pUaHandle,
	HS_CALL_HANDLE *pCallHandle
);

HS_UA_HANDLE AppUaRegist(
	char *pProxy,
	char *pOutboundProxy,
	char *pDisplayName,
	char *pUserName,
	char *pPassword,
	char *pLocalIp,
	HS_UINT pExpires
);
HS_RESULT AppUaRegist(HS_UA_HANDLE pHandle);
HS_RESULT AppUaRemove(HS_UA_HANDLE pHandle);

HS_CALL_HANDLE AppMakeCall(
	HS_UA_HANDLE pHUa,
	char *pDest
);

HS_RESULT AppAcceptCall(
	HS_CALL_HANDLE pCallHandle
);

HS_RESULT AppDropCall(
	HS_CALL_HANDLE pCallHandle,
	SipResponse pReason
);





#endif/*__2005_11_02__22_56__APPMAIN_H__*/